public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Viorel Munteanu" <ceamac@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-libs/libpgf/
Date: Tue, 15 Nov 2022 05:32:55 +0000 (UTC)	[thread overview]
Message-ID: <1668490359.de6493aaab94e73c3ea16a7c49d5241b65eeddff.ceamac@gentoo> (raw)

commit:     de6493aaab94e73c3ea16a7c49d5241b65eeddff
Author:     Viorel Munteanu <ceamac <AT> gentoo <DOT> org>
AuthorDate: Sun Nov 13 12:02:15 2022 +0000
Commit:     Viorel Munteanu <ceamac <AT> gentoo <DOT> org>
CommitDate: Tue Nov 15 05:32:39 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=de6493aa

media-libs/libpgf: Fix installation with USE=doc

Closes: https://bugs.gentoo.org/869806
Closes: https://github.com/gentoo/gentoo/pull/28253
Signed-off-by: Viorel Munteanu <ceamac <AT> gentoo.org>

 media-libs/libpgf/libpgf-7.21.7-r1.ebuild | 55 +++++++++++++++++++++++++++++++
 1 file changed, 55 insertions(+)

diff --git a/media-libs/libpgf/libpgf-7.21.7-r1.ebuild b/media-libs/libpgf/libpgf-7.21.7-r1.ebuild
new file mode 100644
index 000000000000..a1f9328144bb
--- /dev/null
+++ b/media-libs/libpgf/libpgf-7.21.7-r1.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools edos2unix
+
+DESCRIPTION="Library to load, handle and manipulate images in the PGF format"
+HOMEPAGE="https://www.libpgf.org/"
+SRC_URI="https://downloads.sourceforge.net/project/libpgf/libpgf/${PV}/libpgf.zip -> ${P}.zip"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="doc"
+
+BDEPEND="
+	app-arch/unzip
+	doc? (
+		app-doc/doxygen
+		dev-texlive/texlive-fontutils
+	)
+"
+
+S="${WORKDIR}/libpgf"
+
+src_prepare() {
+	default
+
+	# configure.ac has wrong version number
+	sed -i "s/7.15.32/${PV}/g" configure.ac || die
+
+	# many files, including configure.ac and Makefile.am, are saved in dos format, causing errors in autotools
+	edos2unix *.{am,ac,in,sh} */*.{am,in}
+
+	# the package does not respect --docdir and installs docs in /usr/share/doc/${PN}
+	sed -i -e 's/\$(DOC_DIR)/$(DESTDIR)@docdir@/' doc/Makefile.am || die
+
+	if ! use doc; then
+		sed -i -e "/HAS_DOXYGEN/{N;N;d}" Makefile.am || die
+	fi
+
+	eautoreconf
+}
+
+src_install() {
+	default
+
+	if use doc; then
+		docinto pdf
+		dodoc doc/*.pdf doc/latex/*.pdf
+	fi
+
+	find "${ED}" -name '*.la' -delete || die
+}


             reply	other threads:[~2022-11-15  5:32 UTC|newest]

Thread overview: 21+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-11-15  5:32 Viorel Munteanu [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-05-06  7:42 [gentoo-commits] repo/gentoo:master commit in: media-libs/libpgf/ Viorel Munteanu
2024-05-05  9:33 Sam James
2024-05-05  9:33 Sam James
2022-12-19 19:35 Viorel Munteanu
2022-12-19 18:21 Arthur Zamarin
2022-12-19 18:21 Arthur Zamarin
2022-11-02 16:17 Viorel Munteanu
2021-05-23  9:13 Andreas Sturmlechner
2021-05-22 15:10 Sam James
2021-05-22 15:10 Sam James
2021-04-05 15:08 Sam James
2021-03-27 17:01 Sam James
2021-03-27 17:01 Sam James
2020-10-13 13:11 Joonas Niilola
2020-10-13 10:01 Agostino Sarubbo
2020-10-13  9:26 Agostino Sarubbo
2020-10-07 19:05 Sam James
2020-10-07 19:05 Sam James
2019-12-12 17:31 David Seifert
2019-11-17 23:52 Aaron Bauman

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1668490359.de6493aaab94e73c3ea16a7c49d5241b65eeddff.ceamac@gentoo \
    --to=ceamac@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox